Bug 1127898 - mgetty: problem in [Install] section of mgetty@.service file
Summary: mgetty: problem in [Install] section of mgetty@.service file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mgetty
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Michal Sekletar
QA Contact: Martin Žember
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 19:13 UTC by giulioo
Modified: 2015-07-13 04:14 UTC (History)
3 users (show)

Fixed In Version: mgetty-1.1.36-28.el7
Doc Type: Bug Fix
Doc Text:
Cause: WantedBy=getty@.target in {v,m}getty@.service files. Consequence: {v,m}getty service enabled under wrong target which is not pulled in to boot transaction. Service not started when enabled on next reboot. Fix: WantedBy=getty.target in [Install] section of service file Result: Service running after reboot if enabled.
Clone Of:
: 1128066 (view as bug list)
Environment:
Last Closed: 2014-10-22 12:17:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1681 normal SHIPPED_LIVE mgetty bug fix update 2014-10-22 16:17:48 UTC

Description giulioo 2014-08-07 19:13:15 UTC
Description of problem:

The file
	/usr/lib/systemd/system/mgetty@.service
contains
	WantedBy=getty@.target
I think it should be w/o the @, as in
	WantedBy=getty.target

otherwise, who will pull in the getty@.target?

But taking out the @ I got mgetty starting on boot, previously it wouldn't.


Version-Release number of selected component (if applicable):
mgetty-1.1.36-26.el7.x86_64

Comment 2 Michal Sekletar 2014-08-08 08:21:37 UTC
Good catch, thanks for it. Hopefully fix will land in rhel-7.1.

Comment 8 errata-xmlrpc 2014-10-22 12:17:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2014-1681.html


Note You need to log in before you can comment on or make changes to this bug.